Page MenuHomePhabricator

Prepare a program for Wikimedia Developer Summit 2017 to effectively address current high level movement needs
Closed, ResolvedPublic

Description

We need a program team and plan for the Dev Summit.

Expected impact / deliverables

  • Craft a Summit program that reflects key topics and areas expected to impact the Wikimedia Strategy and the Community Wishlist 2017.
  • Curate registration of the event to reflect representative participation of Foundation's Technology and Product decision-makers (lead engineers, product managers, budget owners) as well as volunteers involved in the main topics scheduled.

Wiki page: mw:Wikimedia_Developer_Summit/2017/Program

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolvedmmodell
DeclinedQgil
Resolvedsrishakatux
ResolvedQgil
ResolvedLucie
ResolvedAklapper
ResolvedTgr
DuplicateNone
DuplicateMoushira
ResolvedMarkAHershberger
Resolvedchasemp
ResolvedAnomie
Resolvedcscott
Opencscott
DeclinedMarkAHershberger
OpenNone
OpenNone
Opencscott
Stalledcscott
OpenNone
OpenNone
OpenNone
OpenTpt
ResolvedYaron_Koren
Resolveddaniel
Resolvedbrion
Resolveddaniel
Resolveddaniel
DeclinedNone
Opencscott
Resolvedcscott
Openssastry
Openssastry
Duplicatecscott
Opencscott
Resolvedcscott
Opencscott
ResolvedTheDJ
Openbrion
DuplicateTheDJ
DuplicateYurik
Resolvedcscott
ResolvedHalfak
ResolvedHalfak
ResolvedHalfak
ResolvedFjalapeno
ResolvedCapt_Swing
Opencscott
Resolvedgreg
Declineddaniel
Opendaniel
Resolveddaniel
ResolvedJoe
OpenArrbee
ResolvedAklapper
ResolvedJoe
ResolvedJoe
ResolvedNone
ResolvedVolans
ResolvedJoe
ResolvedVolans
Resolvedjcrespo
ResolvedLegoktm
Resolvedgreg

Event Timeline

Rfarrand created this task.Aug 2 2016, 10:08 PM
Qgil added a comment.Aug 3 2016, 12:56 PM

This task is scheduled for Oct-Dec, but I guess we need to start discussing the program before.

Qgil claimed this task.Sep 5 2016, 7:06 AM
Qgil raised the priority of this task from Normal to High.

I am taking this task for now.

Given the robust participation on the mailing list, this seems like a great topic to discuss at E269: ArchCom RFC Meeting W36: ad hoc (2016-09-07, #wikimedia-office). Thoughts?

Qgil added a comment.Sep 7 2016, 9:30 AM

I am happy to.

Qgil renamed this task from Wikimedia Developer Summit Program to Prepare a program for Wikimedia Developer Summit 2017 to effectively address current high level movement needs.Sep 19 2016, 10:07 AM
Qgil added a project: Goal.
Qgil updated the task description. (Show Details)

@Qgil, thanks for establishing the "Facilitate WikiDev" topic pattern with T147406. We now following that pattern for half of the topics:

...but the other half may not yet have these:

  • A plan for the Community Wishlist 2016 top results
  • A unified vision for editorial collaboration
  • Building a sustainable user experience together
  • How to manage our technical debt

I'm assuming you aren't filing these because it's difficult to change the "author" field for a task in Phab, is that right? If so, who are you hoping files each of these?

Qgil added a comment.Oct 12 2016, 8:59 AM

@Qgil, thanks for establishing the "Facilitate WikiDev" topic pattern with T147406. We now following that pattern for half of the topics:

Good!

...but the other half may not yet have these:

  • A plan for the Community Wishlist 2016 top results
  • A unified vision for editorial collaboration
  • Building a sustainable user experience together
  • How to manage our technical debt

I will request the main facilitators of these areas to create these tasks, yes. The editorial collaboration one is still orphan (under discussion).

The deadline for proposing new activities is behind us now. I have edited the wiki pages accordingly.

On the other hand, the main topic A unified vision for editorial collaboration has been dropped. We didn't get a critical mass of interest and leadership.

The next deadline is 2016-11-14: Deadline for defining a good problem statement, expectations, and links to relevant resources.

Qgil added a comment.Nov 3 2016, 11:19 AM

First meeting of the Program committee, next Wednesday on IRC: E356: WikiDev'17 Program committee IRC meeting

Qgil added a comment.Nov 10 2016, 2:10 PM

Yesterday's Program committee meeting logs and summary are available at E356: WikiDev'17 Program committee IRC meeting.

The main goal between now and the end of next Monday is to clean the Backlog and Missing basic information columns at Wikimedia-Developer-Summit (2017).
Good quality proposals will be moved to Missing active discussion (the next milestone / deadline) or On track. The rest will either go to Unconference (if the promoters are responsive) or will be declined (if they seem abandoned).

Qgil lowered the priority of this task from High to Normal.EditedDec 20 2016, 11:49 AM
Qgil added a subscriber: srishakatux.

I consider my push to this goal mostly done. Between now and the Summit I need to be responsive to changes and suggestions, but everything is progressing well with its own inertia:

  • The program has gone through review and it is expected to be finalized on Friday 23 as planned. It includes a keynote with Ward Cunningham (an external expert who knows us well) and a Q&A with Victoria and Wes with an experimental process to crowdsource questions.
  • The Unconference and the Get Stuff Done Day concepts have been agreed with @Rfarrand and are being lead by @srishakatux.
  • The registration has closed with 175 participants. Percentages by affiliation still need to be calculated, but I believe we have got the most diverse attendance so far, even if Wikimedia Foundation members keep being a majority.
  • We have put more effort on scholarships and promotion beyond the usual circles than ever.
  • We are putting more attention to remote participation than ever.

I will keep this task open until the end of the Summit, posting updates if needed.

Qgil closed this task as Resolved.Jan 17 2017, 9:41 AM
Qgil updated the task description. (Show Details)

The organization team defined 6 main topics, processed 80 proposals, and pre-scheduled 21. We planned an Unconference, a keynote, a Q&A with WMF Technology and Product, a Get Stuff Done Day, better promotion, scholarship process, and remote participation. 179 participants: 71% WMF (80% in 2016, good), 11% 3rd parties, 10% volunteers, 8% chapters